<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<title>Title</title>
</head>
<body>
<!--<button id="click-me">Click me</button>-->
<div id="btn">

</div>
<script>

/*
напишите объекту btn метод render, который рисует кнопку в переданном DOM-элементе кнопку с текстом, храняющимся в свойстве
btn.text, и вешает на нее обработчик click, который при клике меняет текст на храняющийся в свойстве secondText
*/
const btn = {
    text: "Click me",
    secondText: "Eat me",
    render: function (id) {
       let button = document.createElement('button')
       button.innerText = this.text;
       button.onclick = () =>{
           (button.innerText === this.secondText) ?  button.innerText = this.text : button.innerText = this.secondText;
       }
        let idWrapper = document.getElementById(id)
        idWrapper.append(button);
    }
}
btn.render("btn");
</script>
</body>
</html>